Add clean + update checks

This commit is contained in:
Jordan Carlin 2024-07-19 19:00:14 -07:00
parent 60cc2be07f
commit 306e5d4042
No known key found for this signature in database
2 changed files with 3 additions and 3 deletions

View File

@ -22,7 +22,7 @@ jobs:
./.github/cli-space-cleanup.sh
df -h
- name: install
run: sudo ./bin/wally-tool-chain-install.sh
run: sudo ./bin/wally-tool-chain-install.sh --clean
- name: make tests
run: |
source setup.sh
@ -56,7 +56,7 @@ jobs:
nsenter -t 1 -m -u -n -i bash -c "$(cat .github/cli-space-cleanup.sh)"
df -h
- name: install
run: ./bin/wally-tool-chain-install.sh
run: ./bin/wally-tool-chain-install.sh --clean
- name: make tests
run: |
source setup.sh

View File

@ -72,7 +72,7 @@ logger() {
cat < /dev/stdin | tee -a "$log" | (grep -iE --color=never "(\bwarning|\berror|\bfail|\bsuccess|\bstamp|\bdoesn't work)" || true) | (grep -viE --color=never "(_warning|warning_|_error|error_|-warning|warning-|-error|error-|Werror|error\.o|warning flags)" || true)
}
set -e # break on error
set -ex # break on error
trap error ERR # run error handler on error
STATUS="setup" # keep track of what part of the installation is running for error messages